package com.jjt.biz.service;

import com.jjt.biz.vo.AvgMonthVO;
import com.jjt.biz.vo.CurrYieldVO;
import com.jjt.biz.vo.EnergyTradeVO;
import com.jjt.biz.vo.ProdTradeVO;

import java.util.List;
import java.util.Map;

/**
 * 首页统计数据
 *
 * @author wukai
 */
public interface IApiAllService {
    /**
     * 获取当前库存数据
     *
     * @return 库存数据
     */
    Map<String, Object> stock();

    /**
     * 获取本月平均值
     *
     * @return 结果
     */
    AvgMonthVO avgMonth();

    /**
     * 获取生产情况
     *
     * @return 结果
     */
    CurrYieldVO currYield();

    /**
     * 获取生产趋势
     *
     * @return 结果
     */
    List<ProdTradeVO> prodTrade();

    /**
     * 获取能耗趋势
     *
     * @return 结果
     */
    List<EnergyTradeVO> energyTrade();

    /**
     * 模拟数据
     */
    void mock();

}
